# Raspi Pico Temperaturüberwachung

## Doku

Docs and stuff can be found [here](doku/README.md)

## Hardware

- Raspiberry PI Pico
- BME/BMP 280 Sensor
- TFT Display (128x160)
- SD Reader (no card detect)

## Usage

Create a wifi.hpp in includes

```cpp
#pragma once
// Change this Data
#define WIFI_SSID "Zensiert"
#define WIFI_PASSWORD "ZensiertOderSo"
```

You also need to change the `CONFIG` Section in `main.cpp` if you changed the pin layout

### Build

```bash
cmake -B build --toolchain cmake/pico_sdk_import.cmake -G Ninja
cmake --build build
```

## External Dpendencies

- [BME280LIB](https://dev.npid7.de/pico_stuff/bme280)
- [FatFS](https://github.com/carlk3/no-OS-FatFS-SD-SDIO-SPI-RPi-Pico)
